/*
 * CTI_Network_manager.h
 *
 *  Created on: Apr 9, 2015
 *      Author: user
 */

#ifndef CTI_NETWORK_MANAGER_H_
#define CTI_NETWORK_MANAGER_H_

#include "lwip/opt.h"
#include "lwip/inet.h"
#include "lwip/opt.h"
#include "lwip/err.h"
#include "utils/locator.h"
#include "utils/uartstdio.h"
#include "utils/ustdlib.h"
#include "utils/lwiplib.h"


#define MAC_ADDR1  0x00
#define MAC_ADDR2  0x03
#define MAC_ADDR3  0x23
#define MAC_ADDR4  0xA1
#define MAC_ADDR5  0xA2
#define MAC_ADDR6  0xA3




int CTI_Network_Init(char *IPAddress,char *Netmask,char *GatewayIP);

struct udp_pcb *CTI_Network_udp_init();

void CTI_Network_SetTargetIP(int a,int b,int c,int d);

int CTI_Network_Send(struct udp_pcb *,unsigned char Data,int Len);

int CTI_Network_Recv(struct udp_pcb *,unsigned char *Data,int Len);

int CTI_Network_Close(struct udp_pcb *);

#endif /* CTI_NETWORK_MANAGER_H_ */
